NativeSQLQueryPlan (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class NativeSQLQueryPlan

    java.lang.Object
      org.hibernate.engine.query.spi.NativeSQLQueryPlan

All Implemented Interfaces:
  Serializable

    public class NativeSQLQueryPlan

extends Object
implements Serializable

Defines a query execution plan for a native-SQL query.

See Also:
  Serialized Form

Constructor Summary
`NativeSQLQueryPlan(NativeSQLQuerySpecification specification, SessionFactoryImplementor factory)`

Method Summary
`protected void` | `coordinateSharedCacheCleanup(SessionImplementor session)`
`SQLCustomQuery` | `getCustomQuery()`
`String` | `getSourceQuery()`
`int` | `performExecuteUpdate(QueryParameters queryParameters, SessionImplementor session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQueryPlan

    public NativeSQLQueryPlan(NativeSQLQuerySpecification specification,
                              SessionFactoryImplementor factory)

Method Detail

### getSourceQuery

    public String getSourceQuery()

### getCustomQuery

    public SQLCustomQuery getCustomQuery()

### coordinateSharedCacheCleanup

    protected void coordinateSharedCacheCleanup(SessionImplementor session)

### performExecuteUpdate

    public int performExecuteUpdate(QueryParameters queryParameters,
                                    SessionImplementor session)
                             throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.